<?php
/**
 * The template for displaying product search form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/product-searchform.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$navbar_search_text          = apply_filters( 'tokoo_navbar_search_placeholder', esc_html__( 'What are you looking for ?', 'tokoo' ) );

?>
<form role="search" method="get" class="search-form woocommerce-product-search" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<label class="screen-reader-text" for="woocommerce-product-search-field-<?php echo isset( $index ) ? absint( $index ) : 0; ?>"><?php esc_html_e( 'Search for:', 'tokoo' ); ?></label>
	<input type="search" id="woocommerce-product-search-field-<?php echo isset( $index ) ? absint( $index ) : 0; ?>" class="search-field" placeholder="<?php echo esc_attr( $navbar_search_text ); ?>" value="<?php echo get_search_query(); ?>" name="s" />
	<button class="search-submit" type="submit" value="<?php echo esc_attr_x( 'Search', 'submit button', 'tokoo' ); ?>"><i class="flaticon-magnifying-glass"></i></button>
	<input type="hidden" name="post_type" value="product" />
    <?php do_action( 'wpml_add_language_form_field' ); ?>
</form>
